tokudb_gen(1)

NAME
tokudb_gen

SYNOPSIS
tokudb_gen [-PpTuVhHfF] [-o output ] [-r seed ] [-m minsize ] [-M limitsize ] [-n numpairs ] [-d delimiter ] [-s delimiter ]

DESCRIPTION
The tokudb_gen program generates random key/data pairs onto the standard output that match the input requirements of the tokudb_load program and the output requirements of the tokudb_dump program.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

OPTIONS

-P  Generate only printable characters (as defined by isprint ).

-p  Output in the same format as tokudb_dump -p. Output in the same format as tokudb_dump -T (and the input format for tokudb_load -T.)

-u  Disable forcing of unique keys. By default a unique identifier is appended to the end of every key to make certain they are unique, which may allow keys greater than the lengthlimit provided by -M. Setting -u will enforce the length limit strictly, and might result in duplicate keys.

-V  Print version information and exit.

-h  Prevent output of header information.

-H  Output ONLY the header information.

-f  Prevent output of footer information.

-F  Output ONLY the footer information.

-o output
    Write generated data to output instead of standard out.

-r seed
    Set the random seed for reproducible results. Default seed is 1.

-m minsize
    Set the minimum size (inclusive) for keys and values. Default is 0.

-M limitsize
    Set the maximum size (exclusive) for keys and values. Default is 1024. Note that if -u is not provided, a unique identifier is appended to all keys which can cause key sizes to exceed limitsize by up to 10 bytes. Value size limits are enforced strictly.

-n numpairs
    The number of key/value pairs to generate. Default is 1024.

-d delimiter
    A delimiter placed at the end of every key and value. Default is '. It must be either a single character or any of the following escape sequences: \a, \b, \e, \f, \n, \r, \t, \v, \0, or \\. The delimiter may not be a hexadecimal character.

-s delimiter
    A delimiter placed placed at the end of every key/value pair. There is no default if omitted. It has the same restrictions as -d.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.